osg::Vec2b Class Reference

`#include <Vec2b>`

## Public Types

enum | { num_components = 2 }
typedef signed char | value_type

## Public Member Functions

| Vec2b ()
| Vec2b (value_type r, value_type g)
bool | operator== (const Vec2b &v) const
bool | operator!= (const Vec2b &v) const
bool | operator< (const Vec2b &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type x, value_type y)
void | set (const Vec2b &rhs)
value_type & | operator[] (int i)
value_type | operator[] (int i) const
value_type & | x ()
value_type & | y ()
value_type | x () const
value_type | y () const
value_type & | r ()
value_type & | g ()
value_type | r () const
value_type | g () const
Vec2b | operator* (float rhs) const
Vec2b & | operator*= (float rhs)
Vec2b | operator/ (float rhs) const
Vec2b & | operator/= (float rhs)
Vec2b | operator+ (const Vec2b &rhs) const
Vec2b & | operator+= (const Vec2b &rhs)
Vec2b | operator- (const Vec2b &rhs) const
Vec2b & | operator-= (const Vec2b &rhs)

## Public Attributes

value_type | _v [2]

## Detailed Description

General purpose float triple. Uses include representation of color coordinates. No support yet added for float * Vec2b - is it necessary? Need to define a non-member non-friend operator* etc. Vec2b * float is okay

## Member Typedef Documentation

## value_type

typedef signed char osg::Vec2b::value_type

Data type of vector components.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Number of vector components.

Enumerator
num_components |

## Constructor & Destructor Documentation

## Vec2b() [1/2]

osg::Vec2b::Vec2b | ( |  | ) |

inline

Constructor that sets all components of the vector to zero

References _v.

Referenced by operator!=(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator==(), and set().

## Vec2b() [2/2]

osg::Vec2b::Vec2b | ( | value_type | r,
|  | value_type | g )

inline

References _v, g(), and r().

## Member Function Documentation

## g() [1/2]

value_type & osg::Vec2b::g | ( |  | ) |

inline

References _v.

Referenced by Vec2b().

## g() [2/2]

value_type osg::Vec2b::g | ( |  | ) | const

inline

References _v.

## operator!=()

bool osg::Vec2b::operator!= | ( | const Vec2b & | v | ) | const

inline

References _v, and Vec2b().

## operator*()

Vec2b osg::Vec2b::operator* | ( | float | rhs | ) | const

inline

Multiply by scalar.

References Vec2b().

## operator*=()

Vec2b & osg::Vec2b::operator*= | ( | float | rhs | ) |

inline

Unary multiply by scalar.

References _v, and Vec2b().

## operator+()

Vec2b osg::Vec2b::operator+ | ( | const Vec2b & | rhs | ) | const

inline

Binary vector add.

References _v, and Vec2b().

## operator+=()

Vec2b & osg::Vec2b::operator+= | ( | const Vec2b & | rhs | ) |

inline

Unary vector add. Slightly more efficient because no temporary intermediate object.

References _v, and Vec2b().

## operator-()

Vec2b osg::Vec2b::operator- | ( | const Vec2b & | rhs | ) | const

inline

Binary vector subtract.

References _v, and Vec2b().

## operator-=()

Vec2b & osg::Vec2b::operator-= | ( | const Vec2b & | rhs | ) |

inline

Unary vector subtract.

References _v, and Vec2b().

## operator/()

Vec2b osg::Vec2b::operator/ | ( | float | rhs | ) | const

inline

Divide by scalar.

References Vec2b().

## operator/=()

Vec2b & osg::Vec2b::operator/= | ( | float | rhs | ) |

inline

Unary divide by scalar.

References Vec2b().

## operator<()

bool osg::Vec2b::operator< | ( | const Vec2b & | v | ) | const

inline

References _v, and Vec2b().

## operator==()

bool osg::Vec2b::operator== | ( | const Vec2b & | v | ) | const

inline

References _v, and Vec2b().

## operator[]() [1/2]

value_type & osg::Vec2b::operator[] | ( | int | i | ) |

inline

References _v.

## operator[]() [2/2]

value_type osg::Vec2b::operator[] | ( | int | i | ) | const

inline

References _v.

## ptr() [1/2]

value_type * osg::Vec2b::ptr | ( |  | ) |

inline

References _v.

## ptr() [2/2]

const value_type * osg::Vec2b::ptr | ( |  | ) | const

inline

References _v.

## r() [1/2]

value_type & osg::Vec2b::r | ( |  | ) |

inline

References _v.

Referenced by Vec2b().

## r() [2/2]

value_type osg::Vec2b::r | ( |  | ) | const

inline

References _v.

## set() [1/2]

void osg::Vec2b::set | ( | const Vec2b & | rhs | ) |

inline

References _v, and Vec2b().

## set() [2/2]

void osg::Vec2b::set | ( | value_type | x,
|  | value_type | y )

inline

References _v, x(), and y().

## x() [1/2]

value_type & osg::Vec2b::x | ( |  | ) |

inline

References _v.

Referenced by set().

## x() [2/2]

value_type osg::Vec2b::x | ( |  | ) | const

inline

References _v.

## y() [1/2]

value_type & osg::Vec2b::y | ( |  | ) |

inline

References _v.

Referenced by set().

## y() [2/2]

value_type osg::Vec2b::y | ( |  | ) | const

inline

References _v.

## Member Data Documentation

## _v

value_type osg::Vec2b::_v[2]

Vec member variable.

Referenced by g(), g(), operator!=(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator<(), osg::operator<<(), operator==(), osg::operator>>(), operator[](), operator[](), ptr(), ptr(), r(), r(), set(), set(), Vec2b(), Vec2b(), x(), x(), y(), and y().

The documentation for this class was generated from the following file:

- Vec2b